%global codename fuerte
%global shortname rx

Name:		ros-%{codename}-rx
Version:	1.6.2
Release:	3%{?dist}
Summary:	GUI tools for ROS
License:	BSD and (LGPLv2+ or BSD) and CC-BY and wxWidgets
URL:		http://ros.org/wiki/rx
Source0:	https://code.ros.org/svn/release/download/stacks/rx/rx-%{version}/rx-%{version}.tar.bz2
Patch0:		ros-rx-use-system-swig-2.0.5.patch
Patch1:		ros-rx-fix-roslogging.patch
BuildRequires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
BuildRequires:	python-matplotlib, wxPython-devel
BuildRequires:	cmake, python-yaml, yaml-cpp-devel
BuildRequires:	chrpath, swig
Requires:	python-matplotlib, swig, graphviz
Provides:	ros-%{shortname} = %{version}-%{release}

%description
GUI tools for ROS: rxbag, rxplot, rxgraph, and others.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{shortname}-%{version} %{shortname}
%patch0 -p1 -b .system
%patch1 -p1 -b .fix

#prep wxswig
mkdir -p %{shortname}/wxswig/bin
ln -s %{_bindir}/swig %{shortname}/wxswig/bin/swig-real
cp %{shortname}/wxswig/swig-wrap %{shortname}/wxswig/bin/swig
touch %{shortname}/wxswig/wxswig

%build
cd %{shortname}
source /etc/catkin/profile.d/10.ros.all
export ROS_PACKAGE_PATH="%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH"
for i in rxtools; do
  pushd $i
  mkdir build
  cd build
  %cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
  make %{?_smp_mflags}
  popd
done

%install
cd %{shortname}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/
cp -a stack.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

# rxbag
pushd rxbag
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag
cp -a *.xml *.dox icons %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag/
mkdir -p %{buildroot}%{python_sitelib}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag/src
cp -a src/rxbag %{buildroot}%{python_sitelib}/rxbag
ln -s %{python_sitelib}/rxbag %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag/src/rxbag
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag/scripts
mkdir -p %{buildroot}%{_bindir}
cp -a scripts/rxbag %{buildroot}%{_bindir}/rxbag
ln -s %{_bindir}/rxbag %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxbag/scripts/rxbag
popd

# rxdeps
pushd rxdeps
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxdeps/src
cp *.xml *.dox %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxdeps/
cp -a src/rxdeps.py %{buildroot}%{_bindir}/
ln -s %{_bindir}/rxdeps.py %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxdeps/src/rxdeps.py
popd

# rxgraph
pushd rxgraph
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxgraph/src
cp -a *.xml nodes %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxgraph/
cp -a src/rxgraph %{buildroot}%{python_sitelib}/rxgraph
ln -s %{python_sitelib}/rxgraph %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxgraph/src/rxgraph
popd

# rxtools
pushd rxtools
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/src
cp -a *.xml *.dox nodes test formbuilder icons %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/
mkdir -p %{buildroot}%{_libdir}/
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/lib
cp -a lib/librxtools.so  %{buildroot}%{_libdir}/librxtools.so
ln -s %{_libdir}/librxtools.so %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/lib/librxtools.so
cp -a lib/rxtoolscpp.py %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/lib/
mkdir -p %{buildroot}%{python_sitearch}/rxtools/
cp -a lib/_rxtoolscpp.so %{buildroot}%{python_sitearch}/
ln -s %{python_sitearch}/_rxtoolscpp.so %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/lib/_rxtoolscpp.so
cp -a src/rxtools/*.py* %{buildroot}%{python_sitearch}/rxtools/
ln -s %{python_sitearch}/rxtools %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/src/rxtools
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/bin/
cp -a bin/rxconsole bin/rxloggerlevel %{buildroot}%{_bindir}/
ln -s %{_bindir}/rxconsole %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/bin/rxconsole
ln -s %{_bindir}/rxloggerlevel %{buildroot}%{_datadir}/ros-stacks/%{shortname}/rxtools/bin/rxloggerlevel
popd

# test_rxdeps 
pushd test_rxdeps
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/test_rxdeps
cp -a *.xml *.dox test %{buildroot}%{_datadir}/ros-stacks/%{shortname}/test_rxdeps/
popd

# test_rxplot
pushd test_rxplot
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/test_rxplot
cp -a *.xml test %{buildroot}%{_datadir}/ros-stacks/%{shortname}/test_rxplot/
popd

# wxPython_swig_interface
pushd wxPython_swig_interface
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxPython_swig_interface
cp -a *.xml src %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxPython_swig_interface/
popd

# wxswig
pushd wxswig
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxswig/bin
ln -s %{_bindir}/swig %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxswig/bin/swig-real
cp swig-wrap %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxswig/bin/
cp -a *.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/wxswig/
popd

# xdot
pushd xdot
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/xdot/src
cp -a *.xml *.dox %{buildroot}%{_datadir}/ros-stacks/%{shortname}/xdot
cp -a src/xdot/ %{buildroot}%{python_sitelib}/xdot/
ln -s %{python_sitelib}/xdot %{buildroot}%{_datadir}/ros-stacks/%{shortname}/xdot/src/xdot
cp -a dot_viewer.py %{buildroot}%{_bindir}/dot_viewer.py
ln -s %{_bindir}/dot_viewer.py %{buildroot}%{_datadir}/ros-stacks/%{shortname}/xdot/dot_viewer.py
popd

chrpath -d %{buildroot}%{_bindir}/rxconsole
chrpath -d %{buildroot}%{_bindir}/rxloggerlevel
chrpath -d %{buildroot}%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/dot_viewer.py
%{_bindir}/rxbag
%{_bindir}/rxconsole
%{_bindir}/rxdeps.py
%{_bindir}/rxloggerlevel
%{_datadir}/ros-stacks/%{shortname}/
%{_libdir}/librxtools.so
%{python_sitelib}/rxbag/
%{python_sitelib}/rxgraph/
%{python_sitearch}/rxtools/
%{python_sitearch}/_rxtoolscpp.so
%{python_sitelib}/xdot/

%changelog
* Wed Jun  6 2012 Tom Callaway <spot@fedoraproject.org> - 1.6.2-3
- fix roslogging location

* Wed Jun  6 2012 Tom Callaway <spot@fedoraproject.org> - 1.6.2-2
- fix xdot missing files

* Tue Jun  5 2012 Tom Callaway <spot@fedoraproject.org> - 1.6.2-1
- initial package
